## org.aspectj.lang.annotation
Annotation Type DeclareParents

    @Retention(value=RUNTIME)
    @Target(value=FIELD)
    public @interface DeclareParents

Declare parents mixin annotation

Required Element Summary
`java.lang.String` `value` The target types expression

Optional Element Summary
`java.lang.Class` `defaultImpl` Optional class defining default implementation of interface members (equivalent to defining a set of interface member ITDs for the public methods of the interface).

Element Detail

### value

    public abstract java.lang.String value

  The target types expression

### defaultImpl

    public abstract java.lang.Class defaultImpl

  Optional class defining default implementation of interface members (equivalent to defining a set of interface member ITDs for the public methods of the interface).

  Default:
    org.aspectj.lang.annotation.DeclareParents.class